
From: Rusty Lynch <rusty.lynch@intel.com>

The following minimal patch adds a missing macro that is expected from each
architecture supporting Jprobes, but was left out of this mornings ia64
support patches.

Signed-off-by: Rusty Lynch <Rusty.lynch@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-ia64/kprobes.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/asm-ia64/kprobes.h~kprobes-ia64-arch-specific-handling-of-kprobes-fix include/asm-ia64/kprobes.h
--- 25/include/asm-ia64/kprobes.h~kprobes-ia64-arch-specific-handling-of-kprobes-fix	2005-05-23 19:27:34.000000000 -0700
+++ 25-akpm/include/asm-ia64/kprobes.h	2005-05-23 19:27:34.000000000 -0700
@@ -42,6 +42,8 @@ typedef struct _bundle {
 	} quad1;
 } __attribute__((__aligned__(16)))  bundle_t;
 
+#define JPROBE_ENTRY(pentry)	(kprobe_opcode_t *)pentry
+
 typedef struct kprobe_opcode {
 	bundle_t bundle;
 } kprobe_opcode_t;
_
